NXOpen.UF.Curve.CreateLineTangentPoint

Curve.CreateLineTangentPoint()

Refer to UF_CURVE_create_line_tangent_point for documentation.

Signature: CreateLineTangentPoint(tangent, point, helpDataP, limitP, supportPlane, isAsso)

Parameters:
  • tangent (Tag) – tag of tangent object
  • point (Tag) – tag of end point
  • helpDataP (NXOpen.UF.Curve.HelpData Refer to UF_CURVE_help_data_s for documentation.) – help data for tangent
  • limitP (list of NXOpen.UF.Curve.Limit Refer to UF_CURVE_limit_s for documentation.) – extension limits
  • supportPlane (Tag) – tag of support plane of the line
  • isAsso (bool) – true - if associative, false - if not associative
Returns:

if is_asso == TRUE - object identifier of new associative line feature if is_asso == FALSE - object identifier of new associative line

Return type:

Tag

License requirements: SOLIDS MODELING or DRAFTING